% La fonction "simul_f_60" simule f pour la loi P'. Elle retourne non
% seulement f, mais aussi la densité "d" de P par rapport à P'.
function [f, d] = simul_f_60 ()
X = 0;
% Comme la simulation est composée de plein de simulations élémentaire
% indépendantes, que ce soit sous P ou sous P', on va multiplier les
% densités relatives pour chaque simulation élémentaire. La densité est
% initialisée au produit vide 1.
d = 1;
for i = 1: 100
    % Attention, la loi de chaque lancer change !
    if rand () < .6
        % Mise à jour de la densité.
        d = d * .5 / .6;
        X = X + 1;
    else
        % La densité n'est naturellement pas la même en fonction de
        % l'évènement réalisé
        d = d * .5 / .4;
    end
end
f = max (X - 60, 0);
return
end