% "Nsim" est le nombre de simulations demandées.
function GS_naif (Nsim)
succes = 0;
% Boucle de Monte-Carlo.
for i = 1: Nsim
    % "lesdes" est ce qu'affichent les dés.
    lesdes = ceil (6 * rand (1, 5));
    % Première étape de relancer. "dejavu(c)" est un booléen qui dit, à un
    % moment donné, si on a déjà vu un dé affichant "c+1" (attention au
    % décalage d'indice !) parmi ceux obtenus à l'idée du dernier relancer.
    dejavu = zeros (1, 5);
    % On passe les dés en revue un par un.
    for j = 1: 5
        if lesdes(j) == 1 || dejavu(lesdes(j) - 1)
            % Noter qu'ici nous ne respectons pas tout-à-fait le protocole
            % du yahtzee : on est en effet censé d'abord choisir l'ensemble
            % des dés à relancer, puis les relancer tous à la fois... Bien
            % entendu, la procédure proposée ici est en fait équivalente,
            % dans la mesure où on ne regarde pas (encore) le résultat des
            % dés relancés.
            lesdes(j) = ceil (6 * rand ());
        else
            dejavu(lesdes(j) - 1) = true;
        end
    end
    % Seconde étape de relancer.
    dejavu = zeros (1, 5);
    for j = 1: 5
        if lesdes(j) == 1 || dejavu(lesdes(j) - 1)
            lesdes(j) = ceil (6 * rand ());
        else
            dejavu(lesdes(j) - 1) = true;
        end
    end
    % L'objectif est-il atteint ?
    dejavu = zeros (1, 6);
    for j = 1:5
        dejavu(lesdes(j)) = true;
    end
    if (all (dejavu(2: 6)))
        succes = succes + 1;
    end
end
p = succes / Nsim;
fprintf ('Probabilité de succès: %f ± %f.\n', p, ...
    1.96 * sqrt (p * (1 - p) / Nsim));
return
end