% La fonction "grecque_modif" estime p_1 par la méthode de Monte-Carlo.
% "Nsim" est le nombre de simulations demandées. C'est exactement le même
% programme que "grecque_base" ; on a juste changé les paramètres
% "moy_increment" et "var_increment".
function grecque_modif (Nsim)
Njours = 5;
seuil = 2;
moy_increment = -.18;
var_increment = 1.1;
succes = 0;
for i = 1: Nsim
    cours = zeros (Njours);
    actif = 0;
    for j = 1: Njours
        increment = moy_increment + sqrt (var_increment) * randn ();
        actif = actif + increment;
        cours(j) = actif;
    end
    test = false;
    for j = 1: Njours
        if cours(j) > seuil
            test = true;
        end
    end
    succes = succes + test;
end
p = succes / Nsim;
var_f = p - p * p;
var_estr = var_f / Nsim;
fprintf ('p_1 vaut %f ± %f.\n', p, 1.96 * sqrt (var_estr));
return
end
